Deltree (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Deltree,Deltree class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Deltree

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Deltree

Deprecated. The deltree task is deprecated since Ant 1.2. Use delete instead.

public class Deltree
extends Task

Since:
  Ant 1.1

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Deltree()` Deprecated.

Method Summary
`void` | `execute()` Deprecated. Do the work.
`void` | `setDir(java.io.File dir)` Deprecated. Set the directory to be deleted

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Deltree

    public Deltree()

  Deprecated.

Method Detail

### setDir

    public void setDir(java.io.File dir)

  Deprecated.
  Set the directory to be deleted

  Parameters:
    `dir` - the root of the tree to be removed.

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Do the work.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if the task is not configured correctly or the tree cannot be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.